## On-demand loading of packages

## Usage

    autoload(name, file)
    autoloader(name, file)
    .AutoloadEnv

## Arguments

`name` | string giving the name of an object
`file` | string giving the name of a package containing the object

## Description

`autoload` creates a promise-to-evaluate `autoloader` and stores it with name `name` in `.AutoloadEnv` environment. When R attempts to evaluate `name`, `autoloader` is run, the package is loaded and `name` is re-evaluated in the new package's environment. The result is that R behaves as if `file` was loaded but it does not occupy memory.

## Value

see description

## See Also

`delay`, `library`

## Examples

    autoload("line","eda")
    search()
    ls("Autoloads")
    all(ls("Autoloads") == ls(envir = .AutoloadEnv))
    data(cars)
    plot(cars)
    z<-line(cars)
    abline(coef(z))
    search()
    detach("package:eda")
    search()
    z<-line(cars)
    search()

[Package Contents]